Package ru.bitel.bgbilling.plugins.edo.common.service

# Interface EDOBillService

@MTOM(enabled=true) public interface EDOBillService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `formatsList()`
  Список настроенных форматов для выгрузки эдо.
  `String`
  `getContractEdoConfig(int contractId)`
  Получение edo-конфига для договора
  `void`
  `saveContractEdoConfig(int contractId, String config)`
  Сохранение edo-конфига для договора
  `ru.bitel.bgbilling.common.dto.FileDto`
  `saveFile(String formatId, int billModuleId, List<Integer> billListIds, List<Integer> invoiceListIds)`
  Выгрузка одного или нескольких (в виде zip) файлов для эдо.
  `List<ExtDocument>`
  `send(String formatId, int billModuleId, List<Integer> billListIds, List<Integer> invoiceListIds)`
  Отправка одного или нескольких документов в эдо.

- ## Method Details

  - ### formatsList

    List<ru.bitel.bgbilling.common.model.KeyValue> formatsList() throws Exception
    Список настроенных форматов для выгрузки эдо. По пустоте списка можно определить что ничего не настраивалось.
    Throws:
      `Exception`

  - ### saveFile

    ru.bitel.bgbilling.common.dto.FileDto saveFile(String formatId, int billModuleId, List<Integer> billListIds, List<Integer> invoiceListIds) throws Exception
    Выгрузка одного или нескольких (в виде zip) файлов для эдо. Формат с двумя списками ид по аналогии с другими местами где обрабатываются массово документы обоих видов (хотя в данное время в большинстве мест только один из списков может быть заполнен, при использовании юзером в клиенте)
    Parameters:
      `formatId` - ид формата (строковом виде док_подписант как возвращает formatsList)
      `billModuleId` - mid модуля bill который вызывает сервис и к которому относятся ids документов ниже
      `billListIds` - список ид счетов
      `invoiceListIds` - список ид с.ф.
    Returns:
      файл
    Throws:
      `Exception`

  - ### getContractEdoConfig

    String getContractEdoConfig(int contractId) throws Exception
    Получение edo-конфига для договора
    Throws:
      `Exception`

  - ### saveContractEdoConfig

    void saveContractEdoConfig(int contractId, String config) throws Exception
    Сохранение edo-конфига для договора
    Throws:
      `Exception`

  - ### send

    List<ExtDocument> send(String formatId, int billModuleId, List<Integer> billListIds, List<Integer> invoiceListIds) throws Exception
    Отправка одного или нескольких документов в эдо. См. описание saveFile. Возвращает сгенерённые документы в виду листа ExtDocument.
    Throws:
      `Exception`